$goog$exportSymbol$$("AdfInputSearchUtils.UNIQUE_MARKER", "\u19e6\u1391");
function $AdfInputSearchUtils$cloneSimpleObject$$($object$$24$$) {
  for (var $copyObject$$1$$ = {}, $keys$$2$$ = Object.keys($object$$24$$), $i$$177$$ = 0;$i$$177$$ < $keys$$2$$.length;$i$$177$$++) {
    $copyObject$$1$$[$keys$$2$$[$i$$177$$]] = $object$$24$$[$keys$$2$$[$i$$177$$]];
  }
  return $copyObject$$1$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.cloneSimpleObject", $AdfInputSearchUtils$cloneSimpleObject$$);
function $AdfInputSearchUtils$escapeRegexChars$$($regexStr$$) {
  for (var $escapedStr$$ = "", $i$$178$$ = 0, $len$$11$$ = $regexStr$$.length;$i$$178$$ < $len$$11$$;$i$$178$$++) {
    switch($regexStr$$[$i$$178$$]) {
      case "\\":
        $escapedStr$$ += "\\\\";
        break;
      case "[":
        $escapedStr$$ += "\\[";
        break;
      case "]":
        $escapedStr$$ += "\\]";
        break;
      case ".":
        $escapedStr$$ += "\\.";
        break;
      case "(":
        $escapedStr$$ += "\\(";
        break;
      case ")":
        $escapedStr$$ += "\\)";
        break;
      case "|":
        $escapedStr$$ += "\\|";
        break;
      case "?":
        $escapedStr$$ += "\\?";
        break;
      case "*":
        $escapedStr$$ += "\\*";
        break;
      case "+":
        $escapedStr$$ += "\\+";
        break;
      case "{":
        $escapedStr$$ += "\\{";
        break;
      case "}":
        $escapedStr$$ += "\\}";
        break;
      case "$":
        $escapedStr$$ += "\\$";
        break;
      case "^":
        $escapedStr$$ += "\\^";
        break;
      default:
        $escapedStr$$ += $regexStr$$[$i$$178$$];
    }
  }
  return $escapedStr$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.escapeRegexChars", $AdfInputSearchUtils$escapeRegexChars$$);
function $AdfInputSearchUtils$getFunction$$($functionName$$5_namespaces$$) {
  var $context$$37$$ = window;
  $functionName$$5_namespaces$$ = $functionName$$5_namespaces$$.split(".");
  for (var $func$$13$$ = $functionName$$5_namespaces$$.pop(), $i$$179$$ = 0;$i$$179$$ < $functionName$$5_namespaces$$.length;$i$$179$$++) {
    $context$$37$$ = $context$$37$$[$functionName$$5_namespaces$$[$i$$179$$]];
  }
  return $context$$37$$[$func$$13$$];
}
$goog$exportSymbol$$("AdfInputSearchUtils.getFunction", $AdfInputSearchUtils$getFunction$$);
function $AdfInputSearchUtils$getLabelId$$($component$$551$$) {
  return $AdfRichUIPeer$$.$createSubId$($component$$551$$.$getClientId$(), "label");
}
$goog$exportSymbol$$("AdfInputSearchUtils.getLabelId", $AdfInputSearchUtils$getLabelId$$);
function $AdfInputSearchUtils$getDefaultSearchSection$$($component$$552$$) {
  return $component$$552$$.$getSearchSections$()[$AdfDhtmlInputSearchPeer$$.$__SEARCH_SECTION_TYPE_DEFAULT$];
}
$goog$exportSymbol$$("AdfInputSearchUtils.getDefaultSearchSection", $AdfInputSearchUtils$getDefaultSearchSection$$);
function $AdfInputSearchUtils$getSuggestionsSection$$($component$$553_suggestionsSection$$7$$) {
  $component$$553_suggestionsSection$$7$$ = $AdfInputSearchUtils$getChildrenSection$$($component$$553_suggestionsSection$$7$$, AdfRichSuggestionsSection);
  return 0 == $component$$553_suggestionsSection$$7$$.length ? null : $component$$553_suggestionsSection$$7$$[0];
}
$goog$exportSymbol$$("AdfInputSearchUtils.getSuggestionsSection", $AdfInputSearchUtils$getSuggestionsSection$$);
function $AdfInputSearchUtils$isReadOnlyOrDisabled$$($component$$554$$) {
  return $component$$554$$.getReadOnly() || $component$$554$$.getDisabled();
}
$goog$exportSymbol$$("AdfInputSearchUtils.isReadOnlyOrDisabled", $AdfInputSearchUtils$isReadOnlyOrDisabled$$);
function $AdfInputSearchUtils$mapKeys$$($map$$1$$) {
  function $forEachFunc$$($map$$1$$, $forEachFunc$$) {
    $keys$$3$$.push($forEachFunc$$);
  }
  var $keys$$3$$ = [];
  $map$$1$$ && $map$$1$$.forEach($forEachFunc$$);
  return $keys$$3$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.mapKeys", $AdfInputSearchUtils$mapKeys$$);
function $AdfInputSearchUtils$mapValues$$($map$$3$$) {
  function $forEachFunc$$1$$($map$$3$$) {
    $map$$3$$ && $values$$7$$.push($map$$3$$);
  }
  var $values$$7$$ = [];
  $map$$3$$ && $map$$3$$.forEach($forEachFunc$$1$$);
  return $values$$7$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.mapValues", $AdfInputSearchUtils$mapValues$$);
function $AdfInputSearchUtils$parseTemplate$$($sanitizedDomStr$$) {
  return $sanitizedDomStr$$ = $sanitizedDomStr$$.replace(/<nested_script type="text\/plain" id=.*?><\/nested_script>/g, "");
}
$goog$exportSymbol$$("AdfInputSearchUtils.parseTemplate", $AdfInputSearchUtils$parseTemplate$$);
function $AdfInputSearchUtils$showFacesMessage$$($component$$555$$, $message$$58_messageType$$2$$, $summary$$5_summaryKey$$, $detail$$8_detailKey$$) {
  var $page$$32$$ = $AdfPage$$.$PAGE$, $clientId$$73$$ = $component$$555$$.$getClientId$();
  $page$$32$$.$clearMessages$($clientId$$73$$);
  var $laf$$42$$ = $page$$32$$.$getLookAndFeel$();
  $summary$$5_summaryKey$$ = $laf$$42$$.$getTranslatedString$($summary$$5_summaryKey$$);
  $detail$$8_detailKey$$ = $laf$$42$$.$getTranslatedString$($detail$$8_detailKey$$);
  $message$$58_messageType$$2$$ = new $AdfFacesMessage$$($message$$58_messageType$$2$$, $summary$$5_summaryKey$$, $detail$$8_detailKey$$);
  $page$$32$$.$addMessage$($clientId$$73$$, $message$$58_messageType$$2$$);
  $component$$555$$.setProperty("valid", !1);
  $component$$555$$.focus();
}
$goog$exportSymbol$$("AdfInputSearchUtils.showFacesMessage", $AdfInputSearchUtils$showFacesMessage$$);
function $AdfInputSearchUtils$splitAndSort$$($list_str$$12$$) {
  $list_str$$12$$ = $list_str$$12$$.split(" ");
  $list_str$$12$$.sort(function($list_str$$12$$, $b$$2$$) {
    return $b$$2$$.length - $list_str$$12$$.length;
  });
  return $list_str$$12$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.splitAndSort", $AdfInputSearchUtils$splitAndSort$$);
function $AdfInputSearchUtils$getChildrenSection$$($component$$556$$, $clazz$$4$$) {
  for (var $page$$33$$ = $AdfPage$$.$PAGE$, $childElement$$5_searchSectionContainerId$$ = $AdfRichUIPeer$$.$createSubId$($component$$556$$.$getClientId$(), "srchSecCntnr"), $childElement$$5_searchSectionContainerId$$ = $AdfAgent$$.$AGENT$.getElementById($childElement$$5_searchSectionContainerId$$).firstElementChild, $sections$$2$$ = [], $defaultSection$$;$childElement$$5_searchSectionContainerId$$;) {
    var $childComponent$$6$$ = $page$$33$$.$findComponent$($childElement$$5_searchSectionContainerId$$.id);
    $childComponent$$6$$ instanceof $clazz$$4$$ && (($childComponent$$6$$.getType && $childComponent$$6$$.getType()) == $AdfDhtmlInputSearchPeer$$.$__SEARCH_SECTION_TYPE_DEFAULT$ ? $defaultSection$$ = $childComponent$$6$$ : $sections$$2$$.push($childComponent$$6$$));
    $childElement$$5_searchSectionContainerId$$ = $childElement$$5_searchSectionContainerId$$.nextElementSibling;
  }
  $defaultSection$$ && $sections$$2$$.push($defaultSection$$);
  return $sections$$2$$;
}
$goog$exportSymbol$$("AdfInputSearchUtils.getChildrenSection", $AdfInputSearchUtils$getChildrenSection$$);
function $AdfInputSearchUtils$getContentContainer$$($component$$557_contentContainerId$$) {
  $component$$557_contentContainerId$$ = $AdfRichUIPeer$$.$createSubId$($component$$557_contentContainerId$$.$getClientId$(), "cntnr");
  return document.getElementById($component$$557_contentContainerId$$);
}
$goog$exportSymbol$$("AdfInputSearchUtils.getContentContainer", $AdfInputSearchUtils$getContentContainer$$);
function $AdfInputSearchUtils$getSelectionsButton$$($component$$558_selectionsToggleId$$) {
  $component$$558_selectionsToggleId$$ = $AdfRichUIPeer$$.$createSubId$($component$$558_selectionsToggleId$$.$getClientId$(), "selBtn");
  return document.getElementById($component$$558_selectionsToggleId$$);
}
$goog$exportSymbol$$("AdfInputSearchUtils.getSelectionsButton", $AdfInputSearchUtils$getSelectionsButton$$);
